Skip to main content
New to Custom Checkout Integration?If yes, know more about the custom integration flow.

Prerequisites

Before integrating offers for your custom Checkout, run through this checklist:
  1. Understand the payment flow.
  2. Generate the API keys from the Dashboard.
Watch Out!A customer’s payment information should never reach your servers unless you are PCI-DSS certified.

Steps to Integrate

The procedure for integrating Custom Checkout on your website is explained in the Custom Integration document. However, the procedure varies while passing the offers in the payment details.

Step 1: Create Offers on Dashboard

You can create offers from the Dashboard.

Step 2: Create Orders and Pass Offer_id

After generating offers from the Dashboard, pass the offer_id in the order request attributes to the following endpoint:

Sample Request

Use the sample codes given below: /orders
Sample Request

Request Parameters

Using the following attributes, send an order request using the Orders API. amount mandatory : integer Enter the amount for which the order is to be created. For example, if the amount to be charged is ₹299.95, then pass 29995 in this field. currency mandatory : string ISO code of the currency associated with the order amount. For example,INR. offer_id mandatory : string Unique identifier of the offer. Pass the offer_id obtained from the response of the previous step.
Handy TipsThis is mandatory only in cases where you want to associate an offer or offers with the Order or you had not selected the Show Offer on Checkout while creating the offer from the Dashboard.

Step 3: Submit Payment Details

Once the order is created and the customer’s payment details are obtained, the information should be sent to Razorpay to complete the payment. The data that needs to be submitted depends upon the payment method selected by the customer. While invoking the createPayment method, pass the order_id and the offer_id in the payment request as follows:
Checkout
Know more about Custom Checkout.

Next Steps

After the customer has availed the offers and made the payment at the Checkout, you can track the status of the payments: